Axis2/C: operation

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# operation
[description]

## Defines
#define | AXIS2_SOAP_ACTION "soapAction"
## Typedefs
typedef struct axis2_op | axis2_op_t
## Functions
AXIS2_EXTERN axis2_op_t * | axis2_op_create (const axutil_env_t *env)
AXIS2_EXTERN void | axis2_op_free (axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_op_free_void_arg (void *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_add_param (axis2_op_t *op, const axutil_env_t *env, axutil_param_t *param)
AXIS2_EXTERN axutil_param_t * | axis2_op_get_param (const axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *name)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_all_params (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_op_is_param_locked (axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *param_name)
AXIS2_EXTERN axis2_status_t | axis2_op_set_parent (axis2_op_t *op, const axutil_env_t *env, struct axis2_svc *svc)
AXIS2_EXTERN struct axis2_svc * | axis2_op_get_parent (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_rest_http_method (axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *rest_http_method)
AXIS2_EXTERN axis2_char_t * | axis2_op_get_rest_http_method (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_rest_http_location (axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *rest_http_location)
AXIS2_EXTERN axis2_char_t * | axis2_op_get_rest_http_location (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_qname (axis2_op_t *op, const axutil_env_t *env, const axutil_qname_t *qname)
AXIS2_EXTERN const axutil_qname_t * | axis2_op_get_qname (void *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_msg_exchange_pattern (axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *pattern)
AXIS2_EXTERN const axis2_char_t * | axis2_op_get_msg_exchange_pattern (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_msg_recv (axis2_op_t *op, const axutil_env_t *env, struct axis2_msg_recv *msg_recv)
AXIS2_EXTERN struct axis2_msg_recv * | axis2_op_get_msg_recv (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_op_get_style (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_style (axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *style)
AXIS2_EXTERN axis2_status_t | axis2_op_engage_module (axis2_op_t *op, const axutil_env_t *env, struct axis2_module_desc *module_desc, struct axis2_conf *conf)
AXIS2_EXTERN axis2_status_t | axis2_op_add_to_engaged_module_list (axis2_op_t *op, const axutil_env_t *env, struct axis2_module_desc *module_dec)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_all_modules (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN int | axis2_op_get_axis_specific_mep_const (axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_fault_in_flow (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_fault_out_flow (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_out_flow (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_in_flow (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_fault_in_flow (axis2_op_t *op, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axis2_status_t | axis2_op_set_fault_out_flow (axis2_op_t *op, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axis2_status_t | axis2_op_set_out_flow (axis2_op_t *op, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axis2_status_t | axis2_op_set_in_flow (axis2_op_t *op, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axis2_status_t | axis2_op_add_module_qname (axis2_op_t *op, const axutil_env_t *env, const axutil_qname_t *module_qname)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_all_module_qnames (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_op_ctx * | axis2_op_find_op_ctx (axis2_op_t *op, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx, struct axis2_svc_ctx *svc_ctx)
AXIS2_EXTERN struct axis2_op_ctx * | axis2_op_find_existing_op_ctx (axis2_op_t *op, const axutil_env_t *env, const struct axis2_msg_ctx *msg_ctx)
AXIS2_EXTERN axis2_status_t | axis2_op_register_op_ctx (axis2_op_t *op, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx, struct axis2_op_ctx *op_ctx)
AXIS2_EXTERN struct axis2_msg * | axis2_op_get_msg (const axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *label)
AXIS2_EXTERN axis2_status_t | axis2_op_add_msg (axis2_op_t *op, const axutil_env_t *env, const axis2_char_t *label, const struct axis2_msg *msg)
AXIS2_EXTERN axis2_bool_t | axis2_op_is_from_module (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_set_wsamapping_list (axis2_op_t *op, const axutil_env_t *env, axutil_array_list_t *mapping_list)
AXIS2_EXTERN axutil_array_list_t * | axis2_op_get_wsamapping_list (axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axutil_param_container_t * | axis2_op_get_param_container (const axis2_op_t *op, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_op_remove_from_engaged_module_list (axis2_op_t *op, const axutil_env_t *env, struct axis2_module_desc *module_desc)
AXIS2_EXTERN axis2_op_t * | axis2_op_create_from_module (const axutil_env_t *env)
AXIS2_EXTERN axis2_op_t * | axis2_op_create_with_qname (const axutil_env_t *env, const axutil_qname_t *name)
AXIS2_EXTERN axis2_desc_t * | axis2_op_get_base (const axis2_op_t *op, const axutil_env_t *env)

## Detailed Description

operation represents the static structure of an operation in a service. In Axis2 description hierarchy, an operation lives inside the service to which it belongs. operations are configured in services.xml files located in the respective service group folders of the services folder in the repository. In services.xml file, operations are declared in association with a given service. The deployment engine would create operation instances to represent those configured operations and would associate them with the respective service in the configuration. operation encapsulates data on message exchange pattern (MEP), the execution flows, engaged module information, and the message receiver associated with the operation.

## Define Documentation

#define AXIS2_SOAP_ACTION "soapAction"

SOAP action string constant

## Typedef Documentation

typedef struct axis2_op axis2_op_t

Type name for struct axis2_op

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_op_add_module_qname | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | module_qname |
| ) |  |  |

Adds given QName to module QName list.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | module_name | pointer to module QName, QName would be cloned by this method

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_add_msg | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | label,
|  | const struct axis2_msg * | msg |
| ) |  |  |

Adds given message with the given label.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | label | label string
  | msg | pointer to message

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_add_param | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | axutil_param_t * | param |
| ) |  |  |

Adds a parameter to method.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | param | pointer parameter to be added, operation assumes ownership of parameter

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_add_to_engaged_module_list | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | struct axis2_module_desc * | module_dec |
| ) |  |  |

Adds module description to engaged module list.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | module_dec | pointer to module description, operation does not assume ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_op_t* axis2_op_create | ( | const axutil_env_t * | env | ) |

Creates operation struct.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created operation

AXIS2_EXTERN axis2_op_t* axis2_op_create_from_module | ( | const axutil_env_t * | env | ) |

Creates operation struct for an operation defined in a module.

Parameters:

  | env | pointer to environment struct

Returns:
  pointer to newly created operation

AXIS2_EXTERN axis2_op_t* axis2_op_create_with_qname | ( | const axutil_env_t * | env,
|  | const axutil_qname_t * | name |
| ) |  |  |

Creates operation struct with given QName.

Parameters:

  | env | pointer to environment struct
  | name | pointer to QName

Returns:
  pointer to newly created operation

AXIS2_EXTERN axis2_status_t axis2_op_engage_module | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | struct axis2_module_desc * | module_desc,
|  | struct axis2_conf * | conf |
| ) |  |  |

Engages given module to operation.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | module_desc | pointer to module description, operation does not assume ownership of struct
  | conf | pointer to configuration, operation does not assume ownership of configuration

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN struct axis2_op_ctx* axis2_op_find_existing_op_ctx | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const struct axis2_msg_ctx * | msg_ctx |
| ) |  |  | `[read]`

Finds operation context related to this operation using given message context. This method will not create a new operation context if an associated operation context could not be found.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | msg_ctx | pointer to message context

Returns:
  pointer to operation context if found, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_op_ctx* axis2_op_find_op_ctx | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | struct axis2_msg_ctx * | msg_ctx,
|  | struct axis2_svc_ctx * | svc_ctx |
| ) |  |  | `[read]`

Finds operation context related to this operation using given message context and service context. This method would create a new operation context related to the operation, if one could not be found.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | msg_ctx | pointer to message context
  | svc_ctx | pointer to service context

Returns:
  pointer to operation context, returns a reference, not a cloned copy

AXIS2_EXTERN void axis2_op_free | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees operation.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN void axis2_op_free_void_arg | ( | void * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees operation given as a void pointer.

Parameters:

  | op | pointer to operation as a void pointer
  | env | pointer to environment struct

Returns:
  void

Frees the operation given as a void pointer. This method would cast the void parameter to an operation pointer and then call free method.

Parameters:

  | pointer | to operation as a void pointer
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_all_module_qnames | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all module QNames as a list.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing module QNames, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_all_modules | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all modules associated to operation.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing module descriptions

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_all_params | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all parameters.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing all parameters, returns a reference, not a cloned copy

AXIS2_EXTERN int axis2_op_get_axis_specific_mep_const | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets Axis specific MEP constant. This method simply maps the string URI of the MEP to an integer.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  integer representing MEP

AXIS2_EXTERN axis2_desc_t* axis2_op_get_base | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets base description.

Parameters:

  | op | pointer to message
  | env | pointer to environment struct

Returns:
  pointer to base description struct

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_fault_in_flow | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets fault in flow. Fault in flow is the list of phases invoked when a fault happens along in path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing phases, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_fault_out_flow | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets fault out flow. Fault out flow is the list of phases invoked when a fault happens along out path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing phases, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_in_flow | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets in flow. In flow is the list of phases invoked along in path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing phases, returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_msg* axis2_op_get_msg | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | label |
| ) |  |  | `[read]`

Gets message with given label.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to message corresponding to given label, returns a reference, not a cloned copy

AXIS2_EXTERN const axis2_char_t* axis2_op_get_msg_exchange_pattern | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets operation message exchange pattern (MEP).

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  MEP string

AXIS2_EXTERN struct axis2_msg_recv* axis2_op_get_msg_recv | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets message receiver. message receiver is responsible for invoking the business logic associated with the operation.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to message receiver, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_out_flow | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets out flow. Out flow is the list of phases invoked along out path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to array list containing phases, returns a reference, not a cloned copy

AXIS2_EXTERN axutil_param_t* axis2_op_get_param | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | name |
| ) |  |  |

Gets named parameter.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | name | name of parameter to be retrieved as a string

Returns:
  pointer to named parameter if exists, else NULL. Returns a reference, not a cloned copy

AXIS2_EXTERN struct axis2_svc* axis2_op_get_parent | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Gets parent. Parent of an operation is of type service.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to parent service, returns a reference, not a cloned copy

AXIS2_EXTERN const axutil_qname_t* axis2_op_get_qname | ( | void * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets operation QName.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  pointer to QName, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_char_t* axis2_op_get_rest_http_location | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets HTTP Location for RESTful Services.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  HTTP Location string, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_char_t* axis2_op_get_rest_http_method | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets HTTP Method for RESTful Services.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  HTTP Method string, returns a reference, not a cloned copy

AXIS2_EXTERN const axis2_char_t* axis2_op_get_style | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets style of operation. Style is that mentioned in WSDL, either RPC or document literal.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  string representing style

AXIS2_EXTERN axutil_array_list_t* axis2_op_get_wsamapping_list | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the wsamapping list.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_bool_t axis2_op_is_from_module | ( | const axis2_op_t * | op,
|  | const axutil_env_t * | env |
| ) |  |  |

Checks if the operation is from a module.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct AXIS2_TRUE if the operation is from a module, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_op_is_param_locked | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | param_name |
| ) |  |  |

Checks if the named parameter is locked.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | param_name | name of the parameter to be checked

Returns:
  AXIS2_TRUE if named parameter is locked, else AXIS2_FALSE

AXIS2_EXTERN axis2_status_t axis2_op_register_op_ctx | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | struct axis2_msg_ctx * | msg_ctx,
|  | struct axis2_op_ctx * | op_ctx |
| ) |  |  |

Registers given operation context against this operation. Registration happens within the given message context, as it is the message context that captures the state information of a given invocation.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | msg_ctx | pointer to message context
  | op_ctx | pointer to operation context, operation does not assume ownership of operation context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_fault_in_flow | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | list |
| ) |  |  |

Sets fault in flow. Fault in flow is the list of phases invoked when a fault happens along in path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | list | pointer to array list containing phases, operation takes over the ownership of list

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_fault_out_flow | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | list |
| ) |  |  |

Sets fault out flow. Fault out flow is the list of phases invoked when a fault happens along out path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | list | pointer to array list containing phases, operation takes over the ownership of list

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_in_flow | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | list |
| ) |  |  |

Sets in flow. In flow is the list of phases invoked along in path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | list | pointer to array list containing phases, operation takes over the ownership of list

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_msg_exchange_pattern | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | pattern |
| ) |  |  |

Sets operation message exchange pattern (MEP).

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | pattern | message exchange pattern string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_msg_recv | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | struct axis2_msg_recv * | msg_recv |
| ) |  |  |

Sets message receiver. message receiver is responsible for invoking the business logic associated with the operation.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | msg_recv | pointer to message receiver, operation assumes ownership of message receiver

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_out_flow | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | list |
| ) |  |  |

Sets out flow. Out flow is the list of phases invoked along out path.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | list | pointer to array list containing phases, operation takes over the ownership of list

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_parent | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | struct axis2_svc * | svc |
| ) |  |  |

Sets parent. Parent of an operation is of type service.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | svc | pointer to parent service, operation does not assume ownership of service

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_qname | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axutil_qname_t * | qname |
| ) |  |  |

Sets operation QName.

Parameters:

  | op | pointer to operation as a void pointer.
  | env | pointer to environment struct
  | qname | pointer to QName, this method creates a clone of the QName

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_rest_http_location | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | rest_http_location |
| ) |  |  |

Sets HTTP Location for RESTful Services.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | rest_http_location | HTTP Location string, operation does not assume ownership of rest_http_location.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_rest_http_method | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | rest_http_method |
| ) |  |  |

Sets HTTP Method for RESTful Services.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | rest_http_method | HTTP Method string, operation does not assume ownership of rest_http_method.

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_style | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | style |
| ) |  |  |

Sets style of operation. Style is that mentioned in WSDL, either RPC or document literal.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | style | string representing style

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_op_set_wsamapping_list | ( | axis2_op_t * | op,
|  | const axutil_env_t * | env,
|  | axutil_array_list_t * | mapping_list |
| ) |  |  |

Set the wsamapping list.

Parameters:

  | op | pointer to operation
  | env | pointer to environment struct
  | mapping_list | list of action mappings

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE